/**
 * SECTION:DockSurface
 * @short_description: A dock surface is a wrapper class for a <link linkend="cairo-surface-t"><type>cairo_surface_t</type></link>. It encapsulates a surface/context and provides utility methods.
 */
/**
 * PLANK_DRAWING_TYPE_DOCK_SURFACE:
 * 
 * The type for <link linkend="PlankDrawingDockSurface"><type>PlankDrawingDockSurface</type></link>.
 */
/**
 * plank_drawing_dock_surface_clear:
 * @self: the <link linkend="PlankDrawingDockSurface"><type>PlankDrawingDockSurface</type></link> instance
 * 
 * Clears the entire surface.
 */
/**
 * plank_drawing_dock_surface_copy:
 * @self: the <link linkend="PlankDrawingDockSurface"><type>PlankDrawingDockSurface</type></link> instance
 * 
 * Create a copy of the surface
 * 
 * Returns: copy of this surface 
 */
/**
 * plank_drawing_dock_surface_to_pixbuf:
 * @self: the <link linkend="PlankDrawingDockSurface"><type>PlankDrawingDockSurface</type></link> instance
 * 
 * Saves the current dock surface to a <link linkend="GdkPixbuf"><type>GdkPixbuf</type></link>.
 * 
 * Returns: the <link linkend="GdkPixbuf"><type>GdkPixbuf</type></link> 
 */
/**
 * plank_drawing_dock_surface_create_mask:
 * @self: the <link linkend="PlankDrawingDockSurface"><type>PlankDrawingDockSurface</type></link> instance
 * @threshold: (in): &nbsp;.  value defining the minimum opacity [0.0 .. 1.0] 
 * @extent: (out): &nbsp;.  bounding box of the found mask 
 * 
 * Computes the mask of the surface.
 * 
 * Returns: a new surface containing the mask 
 */
/**
 * plank_drawing_dock_surface_average_color:
 * @self: the <link linkend="PlankDrawingDockSurface"><type>PlankDrawingDockSurface</type></link> instance
 * 
 * Computes and returns the average color of the surface.
 * 
 * Returns: the average color of the surface 
 */
/**
 * plank_drawing_dock_surface_fast_blur:
 * @self: the <link linkend="PlankDrawingDockSurface"><type>PlankDrawingDockSurface</type></link> instance
 * @radius: (in): &nbsp;.  the radius of the blur 
 * @process_count: (in): &nbsp;.  how many iterations to blur 
 * 
 * Performs a fast blur on the surface.
 */
/**
 * plank_drawing_dock_surface_exponential_blur:
 * @self: the <link linkend="PlankDrawingDockSurface"><type>PlankDrawingDockSurface</type></link> instance
 * @radius: (in): &nbsp;.  the radius of the blur 
 * 
 * Performs an exponential blur on the surface.
 */
/**
 * plank_drawing_dock_surface_gaussian_blur:
 * @self: the <link linkend="PlankDrawingDockSurface"><type>PlankDrawingDockSurface</type></link> instance
 * @radius: (in): &nbsp;.  the radius of the blur 
 * 
 * Performs a gaussian blur on the surface. <emphasis role="bold">Note: This method is wickedly slow</emphasis>
 */
/**
 * plank_drawing_dock_surface_new:
 * @width: (in): &nbsp;.  width of the new surface 
 * @height: (in): &nbsp;.  height of the new surface 
 * 
 * Creates a new dock surface.
 */
/**
 * plank_drawing_dock_surface_new_with_surface:
 * @width: (in): &nbsp;.  width of the new surface 
 * @height: (in): &nbsp;.  height of the new surface 
 * @model: (in): &nbsp;.  existing <link linkend="cairo-surface-t"><type>cairo_surface_t</type></link> to be similar to 
 * 
 * Creates a new dock surface compatible with an existing <link linkend="cairo-surface-t"><type>cairo_surface_t</type></link>.
 */
/**
 * plank_drawing_dock_surface_new_with_dock_surface:
 * @width: (in): &nbsp;.  width of the new surface 
 * @height: (in): &nbsp;.  height of the new surface 
 * @model: (in): &nbsp;.  existing <link linkend="PlankDrawingDockSurface"><type>PlankDrawingDockSurface</type></link> to be similar to 
 * 
 * Creates a new dock surface compatible with an existing <link linkend="PlankDrawingDockSurface"><type>PlankDrawingDockSurface</type></link>.
 */
/**
 * plank_drawing_dock_surface_new_with_internal:
 * @image: (in): &nbsp;.  existing <link linkend="cairo-surface-t"><type>cairo_surface_t</type></link> as Internal 
 * 
 * Creates a new dock surface with the given <link linkend="cairo-surface-t"><type>cairo_surface_t</type></link> as Internal.
 */
/**
 * PlankDrawingDockSurface:Internal:
 * 
 * The internal <link linkend="cairo-surface-t"><type>cairo_surface_t</type></link> backing the dock surface.
 */
/**
 * plank_drawing_dock_surface_get_Internal:
 * @self: the <link linkend="PlankDrawingDockSurface"><type>PlankDrawingDockSurface</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankDrawingDockSurface--Internal"><type>"Internal"</type></link> property.
 * 
 * The internal <link linkend="cairo-surface-t"><type>cairo_surface_t</type></link> backing the dock surface.
 * 
 * Returns: the value of the <link linkend="PlankDrawingDockSurface--Internal"><type>"Internal"</type></link> property
 */
/**
 * plank_drawing_dock_surface_set_Internal:
 * @self: the <link linkend="PlankDrawingDockSurface"><type>PlankDrawingDockSurface</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankDrawingDockSurface--Internal"><type>"Internal"</type></link> property
 * 
 * Set the value of the <link linkend="PlankDrawingDockSurface--Internal"><type>"Internal"</type></link> property to @value.
 * 
 * The internal <link linkend="cairo-surface-t"><type>cairo_surface_t</type></link> backing the dock surface.
 */
/**
 * PlankDrawingDockSurface:Width:
 * 
 * The width of the surface.
 */
/**
 * plank_drawing_dock_surface_get_Width:
 * @self: the <link linkend="PlankDrawingDockSurface"><type>PlankDrawingDockSurface</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankDrawingDockSurface--Width"><type>"Width"</type></link> property.
 * 
 * The width of the surface.
 * 
 * Returns: the value of the <link linkend="PlankDrawingDockSurface--Width"><type>"Width"</type></link> property
 */
/**
 * plank_drawing_dock_surface_set_Width:
 * @self: the <link linkend="PlankDrawingDockSurface"><type>PlankDrawingDockSurface</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankDrawingDockSurface--Width"><type>"Width"</type></link> property
 * 
 * Set the value of the <link linkend="PlankDrawingDockSurface--Width"><type>"Width"</type></link> property to @value.
 * 
 * The width of the surface.
 */
/**
 * PlankDrawingDockSurface:Height:
 * 
 * The height of the surface.
 */
/**
 * plank_drawing_dock_surface_get_Height:
 * @self: the <link linkend="PlankDrawingDockSurface"><type>PlankDrawingDockSurface</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankDrawingDockSurface--Height"><type>"Height"</type></link> property.
 * 
 * The height of the surface.
 * 
 * Returns: the value of the <link linkend="PlankDrawingDockSurface--Height"><type>"Height"</type></link> property
 */
/**
 * plank_drawing_dock_surface_set_Height:
 * @self: the <link linkend="PlankDrawingDockSurface"><type>PlankDrawingDockSurface</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankDrawingDockSurface--Height"><type>"Height"</type></link> property
 * 
 * Set the value of the <link linkend="PlankDrawingDockSurface--Height"><type>"Height"</type></link> property to @value.
 * 
 * The height of the surface.
 */
/**
 * PlankDrawingDockSurface:Context:
 * 
 * A <link linkend="cairo-t"><type>cairo_t</type></link> for the dock surface.
 */
/**
 * plank_drawing_dock_surface_get_Context:
 * @self: the <link linkend="PlankDrawingDockSurface"><type>PlankDrawingDockSurface</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankDrawingDockSurface--Context"><type>"Context"</type></link> property.
 * 
 * A <link linkend="cairo-t"><type>cairo_t</type></link> for the dock surface.
 * 
 * Returns: the value of the <link linkend="PlankDrawingDockSurface--Context"><type>"Context"</type></link> property
 */
/**
 * plank_drawing_dock_surface_set_Context:
 * @self: the <link linkend="PlankDrawingDockSurface"><type>PlankDrawingDockSurface</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankDrawingDockSurface--Context"><type>"Context"</type></link> property
 * 
 * Set the value of the <link linkend="PlankDrawingDockSurface--Context"><type>"Context"</type></link> property to @value.
 * 
 * A <link linkend="cairo-t"><type>cairo_t</type></link> for the dock surface.
 */
/**
 * PlankDrawingDockSurface:
 * 
 * A dock surface is a wrapper class for a <link linkend="cairo-surface-t"><type>cairo_surface_t</type></link>. It encapsulates a surface/context and provides utility methods.
 */
/**
 * PlankDrawingDockSurfaceClass:
 * @parent_class: the parent class structure
 * 
 * The class structure for <link linkend="PLANK-DRAWING-TYPE-DOCK-SURFACE:CAPS"><literal>PLANK_DRAWING_TYPE_DOCK_SURFACE</literal></link>. All the fields in this structure are private and should never be accessed directly.
 */
